/**
 * # nodeGame
 * 
 * Social Experiments in the Browser
 * 
 * Copyright(c) 2012 Stefano Balietti
 * MIT Licensed 
 * 
 * nodeGame is a free, open source, event-driven javascript framework for on line, 
 * multiplayer games in the browser.
 * 
 * 
 */
(function(e){e.version="0.5.0",e.verbosity=0,e.verbosity_levels={ALWAYS:-(Number.MIN_VALUE+1),ERR:-1,WARN:0,INFO:1,DEBUG:100},e.log=function(t,n,r){if("undefined"==typeof t)return!1;n=n||0,r="undefined"==typeof r?"nodeGame: ":r,"string"==typeof n&&(n=e.verbosity_levels[n]),e.verbosity>n&&console.log(r+t)},e.info=function(t,n){e.log(t,e.verbosity_levels.INFO,n)},e.warn=function(t,n){e.log(t,e.verbosity_levels.WARN,n)},e.err=function(t,n){e.log(t,e.verbosity_levels.ERR,n)},e.events={},e.msg={},e.socket=e.gsc={},e.session={},e.player={},e.memory={},e.support={},"object"==typeof module&&"function"==typeof require?(require("./init.node.js"),require("./nodeGame.js"),require("./listeners/incoming.js"),require("./listeners/internal.js"),require("./listeners/outgoing.js")):("undefined"!=typeof JSUS&&(e.JSUS=JSUS),"undefined"!=typeof NDDB&&(e.NDDB=NDDB),"undefined"!=typeof store&&(e.store=store),e.support=JSUS.compatibility())})("object"==typeof module?module.exports:window.node={}),function(e,t){function r(){this.global=this._listeners={},this.local=this._localListeners={},this.history=new n({update:{indexes:!0}}),this.history.h("state",function(e){if(!e)return;var n="object"==typeof e.state?e.state:t.game.state;return t.GameState.toHash(n,"S.s.r")})}function i(e){var e=e||{};this.event=e.event,this.listener=e.listener,this.priority=e.priority||0,this.state=e.state||t.game.state,this.ttl="undefined"!=typeof e.ttl?e.ttl:-1,this.target=e.target||undefined}var n=t.NDDB;e.EventEmitter=r,r.prototype={constructor:r,add:function(e,n){if(!e||!n)return;"undefined"==typeof this.global[e]&&(this.global[e]=[]),t.log("Added Listener: "+e+" "+n,"DEBUG"),this.global[e].push(n)},addLocal:function(e,n){if(!e||!n)return;"undefined"==typeof this.local[e]&&(this.local[e]=[]),t.log("Added Local Listener: "+e+" "+n,"DEBUG"),this.local[e].push(n)},emit:function(e,n,r,i){if(!e)return;"string"==typeof e&&(e={type:e}),e.target||(e.target=this);if(!e.type)throw new Error("Event object missing 'type' property.");if(!t.conf||!t.conf.events)t.log("node.conf.events object not found. Is everthing all right?","WARN");else{if(t.conf.events.history){var s={event:e.type,state:t.game.state,p1:n,p2:r,p3:i};this.history.insert(s)}t.conf.events.dumpEvents&&t.log("Fired "+e.type)}if(this.global[e.type]instanceof Array){var o=this.global[e.type];for(var u=0,a=o.length;u<a;u++)o[u].call(this.game,n,r,i)}if(this.local[e.type]instanceof Array){var o=this.local[e.type];for(var u=0,a=o.length;u<a;u++)o[u].call(this.game,n,r,i)}},remove:function(e,n){function r(e,n,r){if(r[e]instanceof Array){if(!n)return delete r[e],!0;var i=r[e],s=i.length;for(var o=0;o<s;o++)if(i[o]==n)return i.splice(o,1),t.log("Removed listener "+e+" "+n,"DEBUG"),!0}return!1}var i=r(e,n,this.global),s=r(e,n,this.local);return i||s},clearState:function(e){return this.clearLocal(),!0},clearLocal:function(){t.log("Cleaning Local Listeners","DEBUG");for(var e in this.local)this.local.hasOwnProperty(e)&&this.remove(e,this.local[e]);this.local={}},printAll:function(){t.log("nodeGame:	PRINTING ALL LISTENERS","DEBUG");for(var e in this.global)this.global.hasOwnProperty(e)&&console.log(e+" "+e.length);for(var e in this.local)this.local.hasOwnProperty(e)&&console.log(e+" "+e.length)}}}("undefined"!=typeof node?node:module.exports,"undefined"!=typeof node?node:module.parent.exports),function(e,t){function r(e){this.state=0,this.step=0,this.round=0,this.is=r.iss.UNKNOWN,this.paused=!1;if("string"==typeof e){var t=e.split(".");this.state="undefined"!=typeof t[0]?Number(t[0]):undefined,this.step="undefined"!=typeof t[1]?Number(t[1]):undefined,this.round="undefined"!=typeof t[2]?Number(t[2]):undefined,this.is="undefined"!=typeof t[3]?Number(t[3]):r.iss.UNKNOWN,this.paused=t[4]==="1"?!0:!1}else"object"==typeof e&&(this.state=e.state,this.step=e.step,this.round=e.round,this.is=e.is?e.is:r.iss.UNKNOWN,this.paused=e.paused?e.paused:!1)}var n=t.JSUS;e.GameState=r,r.iss={},r.iss.UNKNOWN=0,r.iss.LOADING=10,r.iss.LOADED=25,r.iss.PLAYING=50,r.iss.DONE=100,r.defaults={},r.defaults.hash="S.s.r.i.p",r.prototype.toString=function(){var e=this.toHash("(r) S.s");return this.paused&&(e+=" [P]"),e},r.prototype.toHash=function(e){return r.toHash(this,e)},r.toHash=function(e,t){if(!e||"object"!=typeof e)return!1;if(!t||!t.length)return e.toString();var n="",r="Ssrip",i=["state","step","round","is","paused"];for(var s=0;s<t.length;s++){var o=r.indexOf(t[s]);n+=o<0?t[s]:Number(e[i[o]])}return n},r.compare=function(e,t,n){if(!e&&!t)return 0;if(!t)return 1;if(!e)return-1;n=n||!1,"string"==typeof e&&(e=new r(e)),"string"==typeof t&&(t=new r(t));var i=e.state-t.state;return i===0&&"undefined"!=typeof e.round&&(i=e.round-t.round,i===0&&"undefined"!=typeof e.step&&(i=e.step-t.step,n&&i===0&&"undefined"!=typeof e.is&&(i=e.is-t.is))),i},r.stringify=function(e){if(!e)return;var t=(new r(e)).toHash("(r) S.s_i");return e.paused&&(t+=" [P]"),t}}("undefined"!=typeof node?node:module.exports,"undefined"!=typeof node?node:module.parent.exports),function(e,t){function s(e,n,i){e=e||{},e.log||(e.log=t.log),r.call(this,e,n,i),this.globalCompare=function(e,n){return e.id===n.id?0:e.count<n.count?1:e.count>n.count?-1:(t.log("Two players with different id have the same count number","WARN"),0)}}function o(e){e=e||{};var n=e.sid;t.support.defineProperty?Object.defineProperty(this,"sid",{value:n,enumerable:!0}):this.sid=n;var r=e.id||n;t.support.defineProperty?Object.defineProperty(this,"id",{value:r,enumerable:!0}):this.id=r;var s=e.count;t.support.defineProperty?Object.defineProperty(this,"count",{value:s,enumerable:!0}):this.count=s,this.ip=e.ip,this.name=e.name,this.state=e.state||new i;for(var o in e)e.hasOwnProperty(o)&&"function"!=typeof e[o]&&(this.hasOwnProperty(o)||(this[o]=e[o]))}var n=t.JSUS,r=t.NDDB,i=t.GameState;e.PlayerList=s,s.prototype=n.clone(r.prototype),s.prototype.constructor=s,s.array2Groups=function(e){if(!e)return;for(var t=0;t<e.length;t++)e[t]=new s({},e[t]);return e},s.prototype.add=function(e){return!e||!e.sid||!e.id?(t.log("Only instance of Player objects can be added to a PlayerList","ERR"),!1):this.exist(e.id)?(t.log("Attempt to add a new player already in the player list: "+e.id,"ERR"),!1):(this.insert(e),e.count=e.nddbid,!0)},s.prototype.remove=function(e){if(!e)return r.prototype.remove.call(this);var n=this.select("id","=",e);return n.length?(n.remove(),!0):(t.log("Attempt to remove a non-existing player from the the player list. id: "+e,"ERR"),!1)},s.prototype.get=function(e){if(!e)return!1;var n=this.select("id","=",e);return n.count()>0?n.count()>1?(t.log("More than one player found with id: "+e,"WARN"),n.fetch()):n.first():(t.log("Attempt to access a non-existing player from the the player list. id: "+e,"ERR"),!1)},s.prototype.pop=function(e){if(!e)return!1;var t=this.get(e);return"object"==typeof t?(this.remove(e),t):!1},s.prototype.getAllIDs=function(){return this.map(function(e){return e.id})},s.prototype.updatePlayerState=function(e,n){return this.exist(e)?"undefined"==typeof n?(t.log("Attempt to assign to a player an undefined state","WARN"),!1):(this.select("id","=",e).first().state=n,!0):(t.log("Attempt to access a non-existing player from the the player list "+player.id,"WARN"),!1)},s.prototype.exist=function(e){return this.select("id","=",e).count()>0?!0:!1},s.prototype.isStateDone=function(e,n){e=e||t.game.state,n=n||!1;var r=this.map(function(t){var n=new i(t.state);return t.state.is!==i.iss.DONE?0:i.compare(e,t.state,!1)!==0?0:1}),s,o=0;for(s=0;s<r.length;s++)o+=Number(r[s]);var u=n?this.length:this.actives();return o===u?!0:!1},s.prototype.actives=function(){var e=0,t;return this.each(function(n){t=new i(n.state),i.compare(t,new i)!==0&&e++}),e},s.prototype.checkState=function(e,n){this.isStateDone(e,n)&&t.emit("STATEDONE")},s.prototype.toString=function(e){var t="",n=e||"\n";return this.forEach(function(e){t+=e.id+": "+e.name;var r=new i(e.state);t+=": "+r+n}),t},s.prototype.getNGroups=function(e){if(!e)return;var t=n.getNGroups(this.db,e);return s.array2Groups(t)},s.prototype.getGroupsSizeN=function(e){if(!e)return;var t=n.getGroupsSizeN(this.db,e);return s.array2Groups(t)},s.prototype.getRandom=function(e){return e||(e=1),e<1?(t.log("N must be an integer >= 1","ERR"),!1):(this.shuffle(),e==1?this.first():this.limit(e).fetch())},e.Player=o,o.prototype.toString=function(){return(this.name||"")+" ("+this.id+") "+new i(this.state)}}("undefined"!=typeof node?node:module.exports,"undefined"!=typeof node?node:module.parent.exports),function(e,t){function i(e){e=e||{};var n=e.id||Math.floor(Math.random()*1e6);t.support.defineProperty?Object.defineProperty(this,"id",{value:n,enumerable:!0}):this.id=n;var i=e.session;t.support.defineProperty?Object.defineProperty(this,"session",{value:i,enumerable:!0}):this.session=i,this.state=e.state,this.action=e.action,this.target=e.target,this.from=e.from,this.to=e.to,this.text=e.text,this.data=e.data,this.priority=e.priority,this.reliable=e.reliable,this.created=r.getDate(),this.forward=0}var n=t.GameState,r=t.JSUS;e.GameMsg=i,i.actions={},i.actions.SET="set",i.actions.GET="get",i.actions.SAY="say",i.targets={},i.targets.HI="HI",i.targets.HI_AGAIN="HI_AGAIN",i.targets.PCONNECT="PCONNECT",i.targets.PDISCONNECT="PDISCONNECT",i.targets.MCONNECT="MCONNECT",i.targets.MDISCONNECT="MDISCONNECT",i.targets.PLIST="PLIST",i.targets.MLIST="MLIST",i.targets.STATE="STATE",i.targets.TXT="TXT",i.targets.DATA="DATA",i.targets.REDIRECT="REDIRECT",i.targets.BYE="BYE",i.targets.ACK="ACK",i.targets.WARN="WARN",i.targets.ERR="ERR",i.IN="in.",i.OUT="out.",i.clone=function(e){return new i(e)},i.prototype.stringify=function(){return JSON.stringify(this)},i.prototype.toString=function(){var e=",	",t="\n",r='"',i=new n(this.state),s=this.created+e;return s+=this.id+e,s+=this.session+e,s+=this.action+e,s+=this.target+e,s+=this.from+e,s+=this.to+e,s+=r+this.text+r+e,s+=r+this.data+r+e,s+=this.reliable+e,s+=this.priority+t,s},i.prototype.toSMS=function(){var e=/\w+/,t=e.exec(this.created),n="["+this.from+"]->["+this.to+"]	";return n+="|"+this.action+"."+this.target+"|"+"	",n+=" "+this.text+" ",n},i.prototype.toInEvent=function(){return"in."+this.toEvent()},i.prototype.toOutEvent=function(){return"out."+this.toEvent()},i.prototype.toEvent=function(){return this.action+"."+this.target}}("undefined"!=typeof node?node:module.exports,"undefined"!=typeof node?node:module.parent.exports),function(e,t){function s(e){this.loop=e||{};for(var n in this.loop)if(this.loop.hasOwnProperty(n)){var e=this.loop[n].state;if("function"==typeof e){var s=r.clone(this.loop[n]);this.loop[n].state={1:s}}var o=r.size(this.loop[n].state),u=this.loop[n].rounds||1;i.push({rounds:u,steps:o})}t.support.getter?Object.defineProperty(this,"length",{set:function(){},get:this.size,configurable:!0}):this.length=null}var n=t.GameState,r=t.JSUS;e.GameLoop=s;var i=[];s.prototype.size=function(){return this.steps2Go(new n)},s.prototype.exist=function(e){return e?(e=new n(e),typeof this.loop[e.state]=="undefined"?(t.log("Unexisting state: "+e.state,"WARN"),!1):typeof this.loop[e.state]["state"][e.step]=="undefined"?(t.log("Unexisting step: "+e.step,"WARN"),!1):e.round>i[e.state-1].rounds?(t.log("Unexisting round: "+e.round+"Max round: "+i[e.state].rounds,"WARN"),!1):!0):!1},s.prototype.next=function(e){e=e?new n(e):t.game.state;if(e.state===0)return new n({state:1,step:1,round:1});if(!this.exist(e))return t.log("No next state of non-existing state: "+e,"WARN"),!1;var r=Number(e.state)-1;if(i[r].steps>e.step){var s=Number(e.step)+1;return new n({state:e.state,step:s,round:e.round})}if(i[r].rounds>e.round){var o=Number(e.round)+1;return new n({state:e.state,step:1,round:o})}if(i.length>e.state){var u=Number(e.state)+1;return new n({state:u,step:1,round:1})}return!1},s.prototype.previous=function(e){e=e?new n(e):t.game.state,this.exist(e)||t.log("No previous state of non-existing state: "+e,"WARN");var r=Number(e.state)-1;if(e.step>1){var s=Number(e.step)-1;return new n({state:e.state,step:s,round:e.round})}if(e.round>1){var o=Number(e.round)-1,s=i[r].steps;return new n({state:e.state,step:s,round:o})}if(e.state>1){var o=i[r-1].rounds,s=i[r-1].steps,u=r;return new n({state:u,step:s,round:o})}return!1},s.prototype.getName=function(e){return e=e?new n(e):t.game.state,this.exist(e)?this.loop[e.state].state[e.step].name:!1},s.prototype.getFunction=function(e){return e=e?new n(e):t.game.state,this.exist(e)?this.loop[e.state].state[e.step].state:!1},s.prototype.getAllParams=function(e){return e=e?new n(e):t.game.state,this.exist(e)?this.loop[e.state].state[e.step]:!1},s.prototype.jumpTo=function(e,t){if(!this.exist(e))return!1;if(!t)return e;var n=t>0?this.next:this.previous;for(var r=0;r<Math.abs(t);r++){e=n.call(this,e);if(!e)return!1}return e},s.prototype.steps2Go=function(e){e=e?new n(e):t.game.state;var r=0;while(e)r++,e=this.next(e);return r},s.prototype.toArray=function(){var e=new n,t=[];while(e){t.push(e.toString());var e=this.next(e)}return t},s.prototype.indexOf=function(e){return e?this.diff(e,new n):-1},s.prototype.diff=function(e,r){if(!e)return!1;e=new n(e);if(!r){if(!t.game.state)return!1;r=t.game.state}else r=new n(r);var i=0;while(r){if(n.compare(e,r)===0)return i;r=this.next(r),i++}return-1}}("undefined"!=typeof node?node:module.exports,"undefined"!=typeof node?node:module.parent.exports),function(e,t){function o(){}var n=t.GameMsg,r=t.GameState,i=t.Player,s=t.JSUS;e.GameMsgGenerator=o,o.create=function(e){var r={session:t.gsc.session,state:t.game.state,action:n.actions.SAY,target:n.targets.DATA,from:t.player.sid,to:"SERVER",text:null,data:null,priority:null,reliable:1};return e=s.merge(r,e),new n(e)},o.createHI=function(e,r,s){return e=e||t.player,e?(s=s||1,new n({session:t.gsc.session,state:t.game.state,action:n.actions.SAY,target:n.targets.HI,from:t.player.sid,to:r,text:new i(e)+" ready.",data:e,priority:null,reliable:s})):!1},o.saySTATE=function(e,t,r){return this.createSTATE(n.SAY,e,t,r)},o.setSTATE=function(e,t,r){return this.createSTATE(n.SET,e,t,r)},o.getSTATE=function(e,t,r){return this.createSTATE(n.GET,e,t,r)},o.createSTATE=function(e,i,s,o){return!e||!i?!1:(s=s||"SERVER",o=o||1,new n({session:t.gsc.session,state:t.game.state,action:e,target:n.targets.STATE,from:t.player.sid,to:s,text:"New State: "+r.stringify(i),data:i,priority:null,reliable:o}))},o.sayPLIST=function(e,t,r){return this.createPLIST(n.actions.SAY,e,t,r)},o.setPLIST=function(e,t,r){return this.createPLIST(n.actions.SET,e,t,r)},o.getPLIST=function(e,t,r){return this.createPLIST(n.actions.GET,e,t,r)},o.createPLIST=function(e,r,i,s){return r=r||!t.game||t.game.pl,!e||!r?!1:(i=i||"SERVER",s=s||1,new n({session:t.gsc.session,state:t.game.state,action:e,target:n.targets.PLIST,from:t.player.sid,to:i,text:"List of Players: "+r.length,data:r.pl,priority:null,reliable:s}))},o.createTXT=function(e,r,i){return e?(i=i||0,new n({session:t.gsc.session,state:t.game.state,action:n.actions.SAY,target:n.targets.TXT,from:t.player.sid,to:r,text:e,data:null,priority:null,reliable:i})):!1},o.sayDATA=function(e,t,r,i){return this.createDATA(n.actions.SAY,e,t,r,i)},o.setDATA=function(e,t,r,i){return this.createDATA(n.actions.SET,e,t,r,i)},o.getDATA=function(e,t,r,i){return this.createDATA(n.actions.GET,e,t,r,i)},o.createDATA=function(e,r,i,s,o){return e?(o=o||1,s=s||"data msg",new n({session:t.gsc.session,state:t.game.state,action:e,target:n.targets.DATA,from:t.player.sid,to:i,text:s,data:r,priority:null,reliable:o})):!1},o.createACK=function(e,r,i){if(!e)return!1;i=i||0;var s=new n({session:t.gsc.session,state:t.game.state,action:n.actions.SAY,target:n.targets.ACK,from:t.player.sid,to:r,text:"Msg "+e.id+" correctly received",data:e.id,priority:null,reliable:i});return e.forward&&(s.forward=1),s}}("undefined"!=typeof node?node:module.exports,"undefined"!=typeof node?node:module.parent.exports),function(e,t,n){function f(e){e=e||{},u=[],t.support.defineProperty?Object.defineProperty(this,"buffer",{value:u,enumerable:!0}):this.buffer=u,a=null,t.support.defineProperty?Object.defineProperty(this,"session",{value:a,enumerable:!0}):this.session=a,this.io=null,this.url=null,this.servername=null}var r=t.GameMsg,i=t.GameState,s=t.Player,o=t.GameMsgGenerator,u,a;e.GameSocketClient=f,f.prototype.getSession=function(e){if(!e)return!1;var n=!1;return"function"==typeof t.session&&(n=t.session(e.session)),n?n:!1},f.prototype.startSession=function(e){var t={id:e.data,sid:e.data};return this.createPlayer(t),a=e.session,!0},f.prototype.restoreSession=function(e,n){if(!e)return;var r="nodeGame session recovery: ";t.log("Starting session recovery "+n,"INFO",r),t.emit("NODEGAME_RECOVERY",n),n=n||e.player.sid,this.session=e.id,a.player.sid=n,this.createPlayer(a.player),t.game.memory=a.memory,t.goto(a.state);if(!e.history)return t.log("No event history was found to recover","WARN",r),!0;t.log("Recovering "+a.history.length+" events","DEBUG",r),t.events.history.importDB(a.history);var s=(new i(a.state)).toHash("S.s.r");if(!t.events.history.state)return t.log("No old events to re-emit were found during session recovery","DEBUG",r),!0;if(!t.events.history.state[s])return t.log("The current state "+s+" has no events to re-emit","DEBUG",r),!0;var o=["LOG","STATECHANGE","WINDOW_LOADED","BEFORE_LOADING","LOADED","in.say.STATE","UPDATED_PLIST","NODEGAME_READY","out.say.STATE","out.set.STATE","in.say.PLIST","STATEDONE","out.say.HI"],u=t.events.history.state[s];u.select("event","in",o).remove();if(!u.length)return t.log("The current state "+s+" has no valid events to re-emit","DEBUG",r),!0;var f=function(){t.log("Re-emitting "+u.length+" events","DEBUG",r),u.each(function(e){JSUS.in_array(e.event,o)||t.emit(e.event,e.p1,e.p2,e.p3)})};return t.game.isReady()?f.call(t.game):t.on("LOADED",function(){f.call(t.game)}),!0},f.prototype.createPlayer=function(e){e=new s(e);if(t.conf&&t.conf.player){var n=t.conf.player;for(var r in n)if(n.hasOwnProperty(r)){if(JSUS.in_array(r,["id","sid","ip"]))continue;t.support.defineProperty?Object.defineProperty(e,r,{value:n[r],enumerable:!0}):e[r]=n[r]}}return t.support.defineProperty?Object.defineProperty(t,"player",{value:e,enumerable:!0}):t.player=e,e},f.prototype.connect=function(e){return e=e||{},e.url?(this.url=e.url,t.log("connecting to "+e.url),this.io=n.connect(e.url,e.io),this.attachFirstListeners(this.io),this.io):(t.log("cannot connect to empty url.","ERR"),!1)};var l=function(e,n){e=e||"Generic error while parsing a game message";var r=n?e+": "+n:e;return t.log(r,"ERR"),t.emit("LOG","E: "+r),!1};f.prototype.secureParse=function(e){var n;try{n=r.clone(JSON.parse(e)),t.info(n,"R: ")}catch(i){return l("Malformed msg received",i)}return this.session&&n.session!==this.session?l("Local session id does not match incoming message session id"):n},f.prototype.clearBuffer=function(){var e=u.length;for(var n=0;n<e;n++){var r=this.buffer.shift();r&&(t.emit(r.toInEvent(),r),t.log("Debuffered "+r,"DEBUG"))}},f.prototype.attachFirstListeners=function(e){var n=this;e.on("connect",function(i){var s="nodeGame: connection open";t.log(s),e.on("message",function(i){var i=n.secureParse(i);if(i&&i.target==="HI"){n.servername=i.from,n.serverid=i.from;var s=n.getSession(i);if(s){n.restoreSession(s,e.id),n.attachMsgListeners(e,i.session);var i=t.msg.create({action:r.actions.SAY,target:"HI_AGAIN",data:t.player});n.send(i)}else n.startSession(i),n.attachMsgListeners(e,i.session),n.sendHI(t.player,"ALL");t.emit("out.say.HI")}})}),e.on("disconnect",function(){t.session.store(),t.log("closed")})},f.prototype.attachMsgListeners=function(e,n){var r=this;t.log("Attaching FULL listeners"),e.removeAllListeners("message"),e.on("message",function(e){var e=r.secureParse(e);e&&(t.game&&t.game.isReady()?t.emit(e.toInEvent(),e):(t.log("Buffering: "+e,"DEBUG"),u.push(e)))}),t.emit("NODEGAME_READY")},f.prototype.sendHI=function(e,n){e=e||t.player,n=n||"SERVER";var r=t.msg.createHI(e,n);this.send(r)},f.prototype.sendSTATE=function(e,n,r){var i=t.msg.createSTATE(e,n,r);this.send(i)},f.prototype.sendTXT=function(e,n){var r=t.msg.createTXT(e,n);this.send(r)},f.prototype.sendDATA=function(e,n,i,s){e=e||r.say,i=i||"SERVER",s=s||"DATA";var o=t.msg.createDATA(e,n,i,s);this.send(o)},f.prototype.send=function(e){this.io.send(e.stringify()),t.log("S: "+e),t.emit("LOG","S: "+e.toSMS())}}("undefined"!=typeof node?node:module.exports,"undefined"!=typeof node?node:module.parent.exports,"undefined"!=typeof io?io:module.parent.exports.io),function(e,t){function s(e,t,n){e=e||{},e.update||(e.update={}),e.update.indexes=!0,r.call(this,e,t,n),this.c("state",o.compareState),this.player||this.h("player",function(e){return e.player}),this.state||this.h("state",function(e){return i.toHash(e.state,"S.s.r")}),this.key||this.h("key",function(e){return e.key})}function o(e){this.state=e.state,this.player=e.player,this.key=e.key,this.value=e.value,this.time=Date?Date.now():null}var n=t.JSUS,r=t.NDDB,i=t.GameState;s.prototype=n.clone(r.prototype),s.prototype.constructor=s,e.GameDB=s,e.GameBit=o,s.prototype.add=function(e,n,r,i){return e?(i=i||t.game.state,r=r||t.player,this.insert(new o({player:r,key:e,value:n,state:i})),!0):!1},o.prototype.toString=function(){return this.player+", "+i.stringify(this.state)+", "+this.key+", "+this.value},o.equals=function(e,t,n){return!e||!t?!1:(n=n||!1,o.comparePlayer(e,t)!==0?!1:o.compareState(e,t)!==0?!1:o.compareKey(e,t)!==0?!1:n&&e.value&&o.compareValue(e,t)!==0?!1:!0)},o.comparePlayer=function(e,t){return!e&&!t?0:e?t?e.player===t.player?0:e.player>t.player?1:-1:-1:1},o.compareState=function(e,t){return i.compare(e.state,t.state)},o.compareKey=function(e,t){return!e&&!t?0:e?t?e.key===t.key?0:e.key<t.key?-1:1:-1:1},o.compareValue=function(e,t){return!e&&!t?0:e?t?n.equals(e.value,t.value)?0:e.value>t.value?1:-1:-1:1}}("undefined"!=typeof node?node:module.exports,"undefined"!=typeof node?node:module.parent.exports),function(e,t){function d(e){e=e||{},f=e.name||"A nodeGame game",t.support.defineProperty?Object.defineProperty(this,"name",{value:f,enumerable:!0}):this.name=f,l=e.description||"No Description",t.support.defineProperty?Object.defineProperty(this,"description",{value:l,enumerable:!0}):this.description=l,c=new u(e.loop||e.loops),t.support.defineProperty?Object.defineProperty(this,"gameLoop",{value:c,enumerable:!0}):this.gameLoop=c,h=new s,t.support.defineProperty?Object.defineProperty(this,"pl",{value:h,enumerable:!0,configurable:!0,writable:!0}):this.pl=h,p=new s,t.support.defineProperty?Object.defineProperty(this,"ml",{value:h,enumerable:!0,configurable:!0,writable:!0}):this.ml=p,t.support.getter?Object.defineProperty(this,"ready",{set:function(){},get:this.isReady,enumerable:!0}):this.ready=null,this.observer="undefined"!=typeof e.observer?e.observer:!1,this.auto_step="undefined"!=typeof e.auto_step?e.auto_step:!0,this.auto_wait="undefined"!=typeof e.auto_wait?e.auto_wait:!1,this.solo_mode="undefined"!=typeof e.solo_mode?e.solo_mode:!1,this.minPlayers=e.minPlayers||1,this.maxPlayers=e.maxPlayers||1e3,e.init&&(this.init=e.init),this.memory=new i,this.player=null,this.state=new n}var n=t.GameState,r=t.GameMsg,i=t.GameDB,s=t.PlayerList,o=t.Player,u=t.GameLoop,a=t.JSUS;e.Game=d;var f,l,c,h,p;d.prototype.init=function(){},d.prototype.pause=function(){this.state.paused=!0},d.prototype.resume=function(){this.state.paused=!1},d.prototype.next=function(e){return e?this.gameLoop.jumpTo(this.state,Math.abs(e)):this.gameLoop.next(this.state)},d.prototype.previous=function(e){return e?this.gameLoop.jumpTo(this.state,-Math.abs(e)):this.gameLoop.previous(this.state)},d.prototype.jumpTo=function(e){if(!e)return!1;var t=this.gameLoop.jumpTo(this.state,e);return t?this.updateState(t):!1},d.prototype.publishState=function(){if(!this.observer){var e=r.OUT+r.actions.SAY+".STATE";t.emit(e,this.state,"ALL")}t.emit("STATECHANGE"),t.log("New State = "+new n(this.state),"DEBUG")},d.prototype.updateState=function(e){t.log("New state is going to be "+new n(e),"DEBUG"),this.step(e)!==!1?(this.paused=!1,this.state.is=n.iss.LOADED,this.isReady()&&t.emit("LOADED")):(t.log("Error in stepping","ERR"),t.emit("TXT","State was not updated"))},d.prototype.step=function(e){e=e||this.next();if(e){var r=this.gameLoop.getFunction(e);if(r)return t.events.clearState(this.state),e.is=n.iss.LOADING,this.state=e,this.publishState(),r.call(t.game)}return!1},d.prototype.isReady=function(){return this.state.is<n.iss.LOADED?!1:t.window?t.window.state>=n.iss.LOADED?!0:!1:!0}}("undefined"!=typeof node?node:module.exports,"undefined"!=typeof node?node:module.parent.exports),function(e){var t=e.EventEmitter,n=e.GameSocketClient,r=e.GameState,i=e.GameMsg,s=e.Game,o=e.Player,u=e.GameSession,a=e.JSUS;e.actions=i.actions,e.IN=i.IN,e.OUT=i.OUT,e.targets=i.targets,e.states=r.iss,e.events=new t,e.msg=e.GameMsgGenerator,e.socket=e.gsc=new n,e.env=function(t,n,r,i){if(!t||!n||!e.env[t])return;r=r||e,i=i||[],n.apply(r,i)},e.setup=e._analyzeConf=function(t){if(!t)return e.log("Invalid configuration object found.","ERR"),!1;if(!t.host){if("undefined"!=typeof window){if("undefined"!=typeof window.location)var n=window.location.href}else var n=t.url;if(n){var r=n.split("/").slice(0,-2);r.length>1&&(t.host=r.join("/"))}}t.host&&t.host.lastIndexOf("/")!==n.length&&(t.host=t.host+"/"),"undefined"!=typeof t.verbosity&&(e.verbosity=t.verbosity);if("undefined"!=typeof t.env)for(var i in t.env)t.env.hasOwnProperty(i)&&(e.env[i]=t.env[i]);return t.events||(t.events={}),"undefined"===t.events.history&&(t.events.history=!1),"undefined"===t.events.dumpEvents&&(t.events.dumpEvents=!1),this.conf=t,t},e.connect=e.play=function(t,n){e.setup(t),e.game=new s(n),e.emit("NODEGAME_GAME_CREATED"),e.game.init.call(e.game),e.socket.connect(t),e.log("game loaded..."),e.log("ready.")},e.replay=function(t){t&&e.game.memory.clear(!0),e.goto(new r({state:1,step:1,round:1}))},e.on=function(t,n){if(!t){e.err("undefined event");return}if("function"!=typeof n){e.err("callback must be of time function");return}!e.game||!e.game.state||r.compare(e.game.state,new r,!0)===0?e.events.add(t,n):e.events.addLocal(t,n)},e.once=function(t,n){if(!t||!n)return;e.on(t,n),e.on(t,function(t,n){e.events.remove(t,n)})},e.off=e.removeListener=function(t,n){return e.events.remove(t,n)},e.alias=function(t,n){if(!t||!n){e.err("undefined alias or events");return}a.isArray(n)||(n=[n]),a.each(n,function(){e.on[t]=function(t){e.on(event,function(n){t.call(e.game,n)})}})},e.emit=function(t,n,r,i){e.events.emit(t,n,r,i)},e.say=function(t,n,r){e.events.emit("out.say.DATA",t,r,n)},e.set=function(t,n){e.events.emit("out.set.DATA",n,null,t)},e.get=function(t,n){if(!t||!n)return;e.events.emit("out.get.DATA",t);var r=function(i){i.text===t&&(n.call(e.game,i.data),e.events.remove("in.say.DATA",r))};e.on("in.say.DATA",r)},e.redirect=function(t,n){if(!t||!n)return!1;var r=e.msg.create({target:e.targets.REDIRECT,data:t,to:n});return e.socket.send(r),!0},e.DONE=function(t){e.emit("DONE",t)},e.TXT=function(t,n){e.emit("out.say.TXT",t,n)},e.alias("txt","in.say.TXT"),e.alias("data",["in.say.DATA","in.set.DATA"]),e.alias("state","in.set.STATE"),e.alias("plist",["in.set.PLIST","in.say.PLIST"]),e.onTXT=function(t){if(!t)return;e.on("",function(n){t.call(e.game,n)})},e.onDATA=function(t,n){if(!t||!n)return;e.on("in.say.DATA",function(r){r.text===t&&n.call(e.game,r)}),e.on("in.set.DATA",function(r){r.text===t&&n.call(e.game,r)})},e.onSTATE=function(t){e.on("in.set.STATE",function(n){t.call(e.game,n)})},e.onPLIST=function(t){e.on("in.set.PLIST",function(n){t.call(e.game,n)}),e.on("in.say.PLIST",function(n){t.call(e.game,n)})},e.random={},e.random.emit=function(t,n){n=n||6e3,setTimeout(function(t){e.emit(t)},Math.random()*n,t)},e.random.exec=function(e,t){t=t||6e3,setTimeout(function(e){e.call()},Math.random()*t,e)},e.log(e.version+" loaded","ALWAYS")}("undefined"!=typeof node?node:module.parent.exports),function(e){if(!e)return console.log("nodeGame not found. Cannot add incoming listeners"),!1;var t=e.GameMsg,n=e.GameState,r=e.PlayerList,i=e.Player,s=t.actions.SAY+".",o=t.actions.SET+".",u=t.actions.GET+".",a=t.IN;e.on(a+s+"PCONNECT",function(t){if(!t.data)return;e.game.pl.add(new i(t.data)),e.emit("UPDATED_PLIST"),e.game.pl.checkState()}),e.on(a+s+"PDISCONNECT",function(t){if(!t.data)return;e.game.pl.remove(t.data.id),e.emit("UPDATED_PLIST"),e.game.pl.checkState()}),e.on(a+s+"MCONNECT",function(t){if(!t.data)return;e.game.ml.add(new i(t.data)),e.emit("UPDATED_MLIST")}),e.on(a+s+"MDISCONNECT",function(t){if(!t.data)return;e.game.ml.remove(t.data.id),e.emit("UPDATED_MLIST")}),e.on(a+s+"PLIST",function(t){if(!t.data)return;e.game.pl=new r({},t.data),e.emit("UPDATED_PLIST")}),e.on(a+s+"MLIST",function(t){if(!t.data)return;e.game.ml=new r({},t.data),e.emit("UPDATED_MLIST")}),e.on(a+u+"DATA",function(n){n.text==="LOOP"&&e.socket.sendDATA(t.actions.SAY,e.game.gameLoop,n.from,"GAME")}),e.on(a+o+"STATE",function(t){e.game.memory.add(t.text,t.data,t.from)}),e.on(a+o+"DATA",function(t){e.game.memory.add(t.text,t.data,t.from)}),e.on(a+s+"STATE",function(t){e.socket.serverid&&t.from===e.socket.serverid,e.game.pl.exist(t.from)?(e.game.pl.updatePlayerState(t.from,t.data),e.emit("UPDATED_PLIST"),e.game.pl.checkState()):e.game.updateState(t.data)}),e.on(a+s+"REDIRECT",function(t){if(!t.data)return;if("undefined"==typeof window||!window.location)return e.log("window.location not found. Cannot redirect","err"),!1;e.emit("REDIRECTING...",t.data),window.location=t.data}),e.log("incoming listeners added")}("undefined"!=typeof node?node:module.parent.exports),function(e){if(!e)return console.log("nodeGame not found. Cannot add outgoing listeners"),!1;var t=e.GameMsg,n=e.GameState,r=t.actions.SAY+".",i=t.actions.SET+".",s=t.actions.GET+".",o=t.OUT;e.on(o+r+"HI",function(){e.game.auto_step?e.game.updateState(e.game.next()):(e.game.state.is=n.iss.LOADED,e.socket.sendSTATE(t.actions.SAY,e.game.state))}),e.on(o+r+"STATE",function(n,r){e.socket.sendSTATE(t.actions.SAY,n,r)}),e.on(o+r+"TXT",function(t,n){e.socket.sendTXT(t,n)}),e.on(o+r+"DATA",function(n,r,i){e.socket.sendDATA(t.actions.SAY,n,r,i)}),e.on(o+i+"STATE",function(n,r){e.socket.sendSTATE(t.actions.SET,n,r)}),e.on(o+i+"DATA",function(n,r,i){e.socket.sendDATA(t.actions.SET,n,r,i)}),e.on(o+s+"DATA",function(n,r,i){e.socket.sendDATA(t.actions.GET,n,r,n)}),e.log("outgoing listeners added")}("undefined"!=typeof node?node:module.parent.exports),function(e){if(!e)return console.log("nodeGame not found. Cannot add internal listeners"),!1;var t=e.GameMsg,n=e.GameState,r=t.actions.SAY+".",i=t.actions.SET+".",s=t.actions.GET+".",o=t.IN,u=t.OUT;e.on("STATEDONE",function(){if(e.game.solo_mode)return;if(e.game.auto_step&&!e.game.observer){e.log("We play AUTO","DEBUG");var t="undefined"!==e.game.minPlayers?e.game.minPlayers-e.game.pl.count():0;e.log("Additional player required: "+t>0?MorePlayers:0,"DEBUG"),t>0?(e.emit("OUT.say.TXT",t+" player/s still needed to play the game"),e.log(t+" player/s still needed to play the game")):(e.emit("OUT.say.TXT",e.game.minPlayers+" players ready. Game can proceed"),e.log(e.game.pl.count()+" players ready. Game can proceed"),e.game.updateState(e.game.next()))}else e.log("Waiting for monitor to step","DEBUG")}),e.on("DONE",function(t,r,i){var s=!0,o=e.game.gameLoop.getAllParams(e.game.state).done;o&&(s=o.call(e.game,t,r,i));if(!s)return;e.game.state.is=n.iss.DONE,e.emit("BEFORE_DONE"),e.game.auto_wait&&e.window&&e.emit("WAITING..."),e.game.publishState(),e.game.solo_mode&&e.game.updateState(e.game.next())}),e.on("PAUSE",function(t){e.game.state.paused=!0,e.game.publishState()}),e.on("WINDOW_LOADED",function(){e.game.ready&&e.emit("LOADED")}),e.on("GAME_LOADED",function(){e.game.ready&&e.emit("LOADED")}),e.on("LOADED",function(){e.emit("BEFORE_LOADING"),e.game.state.is=n.iss.PLAYING,e.socket.clearBuffer()}),e.log("internal listeners added")}("undefined"!=typeof node?node:module.parent.exports)