/**
 * # Shelf.JS 
 * 
 * Persistent Client-Side Storage @VERSION
 * 
 * Copyright 2012 Stefano Balietti
 * GPL licenses.
 * 
 * ---
 * 
 */
(function(e){var t="0.3",n=e.store=function(e,t,r,i){r=r||{},i=r.type&&r.type in n.types?r.type:n.type;if(!i||!n.types[i]){n.log("Cannot save/load value. Invalid storage type selected: "+i,"ERR");return}return n.log("Accessing "+i+" storage"),n.types[i](e,t,r)};n.name="__shelf__",n.verbosity=0,n.types={};var r="volatile";try{Object.defineProperty(n,"type",{set:function(e){return"undefined"==typeof n.types[e]?(n.log("Cannot set store.type to an invalid type: "+e),!1):(r=e,e)},get:function(){return r},configurable:!1,enumerable:!0})}catch(i){n.type=r}n.addType=function(e,t){n.types[e]=t,n[e]=function(t,r,i){return i=i||{},i.type=e,n(t,r,i)};if(!n.type||n.type==="volatile")n.type=e},n.error=function(){return"shelf quota exceeded"},n.log=function(e){n.verbosity>0&&console.log("Shelf v."+t+": "+e)},n.isPersistent=function(){return n.types?n.type==="volatile"?!1:!0:!1};try{Object.defineProperty(n,"persistent",{set:function(){},get:n.isPersistent,configurable:!1})}catch(i){n.persistent=!1}n.decycle=function(e){return JSON&&JSON.decycle&&"function"==typeof JSON.decycle&&(e=JSON.decycle(e)),e},n.retrocycle=function(e){return JSON&&JSON.retrocycle&&"function"==typeof JSON.retrocycle&&(e=JSON.retrocycle(e)),e},n.stringify=function(e){if(!JSON||!JSON.stringify||"function"!=typeof JSON.stringify)throw new Error("JSON.stringify not found. Received non-string value and could not serialize.");return e=n.decycle(e),JSON.stringify(e)},n.parse=function(e){if("undefined"==typeof e)return undefined;if(JSON&&JSON.parse&&"function"==typeof JSON.parse)try{e=JSON.parse(e)}catch(t){n.log("Error while parsing a value: "+t,"ERR"),n.log(e)}return e=n.retrocycle(e),e},function(){function r(e){return n.parse(n.stringify(e))}var e={},t={};n.addType("volatile",function(n,i,s){return n?i===undefined?r(e[n]):(t[n]&&(clearTimeout(t[n]),delete t[n]),i===null?(delete e[n],null):(e[n]=i,s.expires&&(t[n]=setTimeout(function(){delete e[n],delete t[n]},s.expires)),i)):r(e)})}()})("undefined"!=typeof module&&"undefined"!=typeof module.exports?module.exports:this),function(e){var t=e.store;if(!t){console.log("fs.shelf.js: shelf.js core not found. File system storage not available.");return}t.filename="./shelf.out";var n=require("fs"),r=require("path"),i=require("util"),s=function(e,t,r){var i,s;return i=n.createReadStream(e),s=n.createWriteStream(t),i.on("end",function(){return r(null)}),i.pipe(s)},o={},u=function(e,i){var o=e||t.filename;if(!o)return t.log("You must specify a valid file.","ERR"),!1;var u=r.dirname(o)+"."+r.basename(o);s(o,u,function(){var e=t.stringify(i);e=e.substr(1,e=e.substr(0,e.legth-1)),n.writeFile(o,e,"utf-8",function(e){if(e)throw e;return n.unlink(u,function(e){if(e)throw e}),!0})})};if("undefined"!=typeof n.appendFileSync)var a=function(e,r,i){var s=e||t.filename;if(!s)return t.log("You must specify a valid file.","ERR"),!1;if(!r)return;var o=t.stringify(r)+": "+t.stringify(i)+",\n";return n.appendFileSync(s,o,"utf-8")};else var a=function(e,r,i){var s=e||t.filename;if(!s)return t.log("You must specify a valid file.","ERR"),!1;if(!r)return;var o=t.stringify(r)+": "+t.stringify(i)+",\n";return n.open(s,"a",666,function(e,t){n.write(t,o,null,"utf8",function(){n.close(t,function(){})})}),!0};var f=function(e,r){var i=e||t.filename;if(!i)return t.log("You must specify a valid file.","ERR"),!1;var s=n.readFileSync(i,"utf-8");s=s.substr(0,s.length-2);var o=t.parse("{"+s+"}");return r?o[r]:o},l=function(e,n){var r=e||t.filename,i=f(r);return delete i[n],u(r,i),null};t.addType("fs",function(e,n,r){var i=r.file||t.filename;return e?n===undefined?f(i,e):(o[e]&&(clearTimeout(o[e]),l(i,e)),n===null?(l(i,e),null):(a(i,e,n),r.expires&&(o[e]=setTimeout(function(){l(i,e)},r.expires)),n)):f(i)})}("undefined"!=typeof module&&"function"==typeof require?module.exports||module.parent.exports:{})legth-1)),n.writeFile(o,e,"utf-8",function(e){if(e)throw e;return n.unlink(u,function(e){if(e)throw e}),!0})})};if("undefined"!=typeof n.appendFileSync)var a=function(e,r,i){var s=e||t.filename;if(!s)return t.log("You must specify a valid file.","ERR"),!1;if(!r)return;var o=t.stringify(r)+": "+t.stringify(i)+",\n";return n.appendFileSync(s,o,"utf-8")};else var a=function(e,r,i){var s=e||t.filename;if(!s)return t.log("You must specify a valid file.","ERR"),!1;if(!r)return;var o=t.stringify(r)+": "+t.stringify(i)+",\n";return n.open(s,"a",666,function(e,t){n.write(t,o,null,"utf8",function(){n.close(t,function(){})})}),!0};var f=function(e,r){var i=e||t.filename;if(!i)return t.log("You must specify a valid file.","ERR"),!1;var s=n.readFileSync(i,"utf-8");s=s.substr(0,s.length-2);var o=t.parse("{"+s+"}");return r?o[r]:o},l=function(e,n){var r=e||t.filename,i=f(r);return delete i[n],u(r,i),null};t.addType("fs",function(e,n,r){var i=r.file||t.filename;return e?n===undefined?f(i,e):(o[e]&&(clearTimeout(o[e]),l(i,e)),n===null?(l(i,e),null):(a(i,e,n),r.expires&&(o[e]=setTimeout(function(){l(i,e)},r.expires)),n)):f(i)})}("undefined"!=typeof module&&"function"==typeof require?module.exports||module.parent.exports:{})